Fedora 20 : e2fsprogs-1.42.12-3.fc20 (2015-2516)

Medium Nessus Plugin ID 81614

Synopsis

The remote Fedora host is missing a security update.

Description

- Fix potential buffer overflow in closefs (#1193947, CVE-2015-1572)

- Fix dumpe2fs segfault with no arguments (#1194063)

- Don't require fsck prior to resize2fs -P (#1170803)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected e2fsprogs package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=1193945

http://www.nessus.org/u?97bd8bfe

Plugin Details

Severity: Medium

ID: 81614

File Name: fedora_2015-2516.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2015/03/05

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.6

Temporal Score: 4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:e2fsprogs, cpe:/o:fedoraproject:fedora:20

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/02/25

Reference Information

CVE: CVE-2015-0247, CVE-2015-1572

BID: 72520, 72709

FEDORA: 2015-2516